# List of authors resubmitting their contributions under LGPL-3.0-or-later

VOLK is migrating from GNU General Public License v3.0 or later (GPL-3.0-or-later)
to GNU Lesser General Public License v3.0 or later (LGPL-3.0-or-later).

This file is a list of the authors who agreed to resubmit their code
under the LGPL-3.0-or-later license to this repository.
In case the affected code is licensed differently than VOLK's current license (GPL-3.0-or-later),
this gives the VOLK project the right to use the current contributions under both LGPL-3.0-or-later and that other license.
Future contributions by these authors are, however,
licensed under LGPL-3.0-or-later, unless explicitly stated otherwise.

## Current status

We'd like to thank everyone who helped to re-license VOLK under LGPL!
Being technical: There are 3 people left (out of 74) who we haven't been able to get in contact with (at all), for a total of 4 (out of 1092) commits, 13 (of 282822) additions, and 7 (of 170421) deletions. We have reviewed these commits and all are simple changes (e.g., 1 line change) and most are no longer relevant (e.g., to a file that no longer exists). VOLK maintainers are in agreement that the combination -- small numbers of changes per committer, simple changes per commit, commits no longer relevant -- means that we can proceed with relicensing without the approval of the folks. We will try reaching out periodically to these folks, but we believe it unlikely we will get a reply.

## How to add myself to the table of authors
There are several options. Choose the one you prefer.

1. Open a PR and add yourself to the table.
2. Add a Github comment that clearly states your wish to be added to the table.
3. Write an email to the maintainers that clearly states your wish to be added to the table.

### Information for option 2 and 3

If you go with option 2 or 3, the maintainers add your statement to the corresponding git commit message for documentation purposes.

Suggested wording

> I, {contributor name}, hereby resubmit all my contributions to the VOLK project and repository under the terms of the LGPLv3+. My GitHub handle is {github handle}, my email addresses used for contributions are: {email address}, ... .


## Table of authors

Together with the date of agreement, these authors are:

|       Date | Author (as used in commits) | GitHub handle   | Email address(es)                                                   |
|------------|-----------------------------|-----------------|---------------------------------------------------------------------|
| 2021-07-01 | Marcus Müller               | marcusmueller   | marcus@hostalia.de, mmueller@gnuradio.org, mueller@kit.edu          |
| 2021-08-01 | Johannes Demel              | jdemel          | ufcsy@student.kit.edu, demel@uni-bremen.de, demel@ant.uni-bremen.de |
| 2021-08-25 | Martin Braun                | mbr0wn          | martin@gnuradio.org, martin.braun@ettus.com                         |
| 2021-08-27 | Carles Fernandez            | carlesfernandez | carles.fernandez@cttc.es, carles.fernandez@gmail.com, carlesfernandez@gmail.com |
| 2021-08-27 | Magnus Lundmark             | Ka-zam          | magnus@skysense.io                                                  |
| 2021-09-04 | Michael Dickens             | michaelld       | mlk@alum.mit.edu, michael.dickens@ettus.com                         |
| 2021-09-05 | Andrej Rode                 | noc0lour        | mail@andrejro.de                                                    |
| 2021-09-06 | rear1019                    | rear1019        | rear1019@posteo.de                                                  |
| 2021-09-08 | Federico 'Larroca' La Rocca | git-artes       | flarroca@fing.edu.uy                                                |
| 2021-09-08 | Bernhard M. Wiedemann       | bmwiedemann     | bwiedemann@suse.de                                                  |
| 2021-09-08 | A. Maitland Bottoms         | maitbot         | bottoms@debian.org                                                  |
| 2021-09-08 | Paul Cercueil               | pcercuei        | paul.cercueil@analog.com                                            |
| 2021-09-08 | Jeison Cardoso              | jsonzilla, 0unit| cardoso.jeison@gmail.com                                            |
| 2021-09-08 | Brennan Ashton              | btashton        | bashton@brennanashton.com                                           |
| 2021-09-08 | Ryan Volz                   | ryanvolz        | ryan.volz@gmail.com, rvolz@mit.edu                                  |
| 2021-09-08 | Douglas Anderson            | djanderson      | douglas.j.anderson@gmail.com, djanderson@users.noreply.github.com   |
| 2021-09-08 | Nicholas McCarthy           | namccart        | namccart@gmail.com                                                  |
| 2021-09-09 | Jaroslav Škarvada           | yarda           | jskarvad@redhat.com                                                 |
| 2021-09-09 | Vasil Velichkov             | velichkov       | vvvelichkov@gmail.com                                               |
| 2021-09-09 | Takehiro Sekine             | bstalk          | takehiro.sekine@ps23.jp                                             |
| 2021-09-10 | Vanya Sergeev               | vsergeev        | vsergeev@gmail.com                                                  |
| 2021-09-10 | Ben Hilburn                 | bhilburn        | bhilburn@gnuradio.org, bhilburn@gmail.com, ben@ettus.com, ben@hilburn.dev |
| 2021-09-09 | Philip Balister             | balister        | philip@balister.org, root@usrp-e1xx.(none)                          |
| 2021-09-12 | Andrey Rodionov             | dernasherbrezon | rodionovamp@mail.ru                                                 |
| 2021-09-13 | Clayton Smith               | argilo          | argilo@gmail.com                                                    |
| 2021-09-14 | Martin Kaesberger           | mkaesberger     | git@skipfish.de                                                     |
| 2021-09-08 | Karl Semich                 | xloem           | 0xloem@gmail.com                                                    |
| 2021-09-23 | Mike Piscopo                | ghostop14       | ghostop14@gmail.com                                                 |
| 2021-09-13 | Amr Bekhit                  | amrbekhit       | amr@helmpcb.com, amrbekhit@gmail.com                                |
| 2021-09-19 | Eric Blossom                | eblossom        | eb@comsec.com                                                       |
| 2021-09-20 | Douglas Geiger              | douggeiger      | doug.geiger@bioradiation.net,douglas.geiger@nrl.navy.mil            |
| 2021-09-21 | Zlika                       | Zlika           | zlika_ese@hotmail.com                                               |
| 2021-09-24 | Ron Economos                | drmpeg          | w6rz@comcast.net                                                    |
| 2021-09-26 | Marc Lichtman               | 777arc          | marcll@vt.edu                                                       |
| 2021-09-28 | Stefan Wunsch               | stwunsch        | stefan.wunsch@student.kit.edu                                       |
| 2021-10-02 | Albin Stigö                 | ast             | albin.stigo@gmail.com                                               |
| 2021-10-09 | Florian Ritterhoff          | fritterhoff     | ritterho@hm.edu                                                     |
| 2021-10-06 | Sylvain Munaut              | smunaut         | tnt@246tNt.com, 246tnt@gmail.com                                    |
| 2021-10-10 | Dan Robertson               | dlrobertson     | dan@dlrobertson.com                                                 |
| 2021-10-10 | Steve Markgraf              | steve-m         | steve@steve-m.de                                                    |
| 2021-10-10 | Gwenhael Goavec-Merou       | trabucayre      | gwenhael.goavec-merou@trabucayre.com                                |
| 2021-10-10 | Doron Behar                 | doronbehar      | doron.behar@gmail.com                                               |
| 2021-10-10 | Brandon Enochs              | brandonenochs   | brandon.enochs@nrl.navy.mil                                         |
| 2021-10-10 | Thomas Rondeau              | trondeau        | tom@trondeau.com, trondeau@vt.edu                                   |
| 2021-10-11 | Tim O'Shea                  | oshtim          | tim.oshea753@gmail.com                                              |
| 2021-10-13 | Alexey Slokva               | Alesha72003     | Alesha72003@ya.ru                                                   |
| 2021-10-17 | Josh Blum                   | guruofquality   | josh@joshknows.com                                                  |
| 2021-10-14 | Nicholas Corgan             | ncorgan         | n.corgan@gmail.com, nick.corgan@ettus.com                           |
| 2021-10-24 | Andy Walls                  | awalls-cx18     | andy@silverblocksystems.net, awalls.cx18@gmail.com, awalls@md.metrocast.net |
| 2021-10-26 | Ettus Research              | N/A             | nick.corgan@ettus.com, nick@ettus.com, ben.hilburn@ettus.com, michael.dickens@ettus.com |
| 2021-10-27 | Pascal Giard                | evilynux        | evilynux@gmail.com, pascal.giard@lacime.etsmtl.ca, pascal.giard@etsmtl.ca, pascal.giard@mail.mcgill.ca |
| 2021-10-27 | The Aerospace Corporation   | N/A             | oss@aero.org, damian.miralles@aero.org, jessica.iwamoto@aero.org, kyle.a.logue@aero.org |
| 2021-10-29 | Christoph Mayer             | hcab14          | hcab14@gmail.com, Christoph.Mayer@cern.ch                           |
| 2021-10-29 | Valerii Zapodovnikov        | ValZapod        | val.zapod.vz@gmail.com                                              |
| 2021-10-29 | Stefan Oltmanns             | Stefan-Olt      | stefan-oltmanns@gmx.net                                             |
| 2021-10-29 | Mathieu Rene                | mrene           | mrene@avgs.ca                                                       |
| 2021-10-29 | Steven Behnke               | sbehnke         | steven_behnke@me.com                                                |
| 2021-10-29 | Adam Thompson               | awthomp         | adamt@nvidia.com                                                    |
| 2021-10-29 | Nick Foster                 | bistromath      | bistromath@gmail.com, nick@nerdnetworks.org                         |
| 2021-10-29 | Roy Thompson                | roythompson     | rthompso@gmail.com                                                  |
| 2021-10-29 | luzpaz                      | luzpaz          | luzpaz@users.noreply.github.com                                     |
| 2021-10-29 | Damian Miralles             | dmiralles2009   | dmiralles2009@gmail.com, damian.miralles@colorado.edu               |
| 2021-11-06 | Julien Olivain              | jolivain        | julien.olivain@lsv.ens-cachan.fr                                    |
| 2021-11-07 | Jam M. Hernandez Quiceno    | JamMarHer       | jamarck96@gmail.com, jam_quiceno@partech.com                        |
| 2021-11-19 | Abhishek Bhowmick           | abhowmick22     | abhowmick22@gmail.com                                               |
| 2021-11-29 | Aang23 (Alan)               | Aang23          | qwerty15@gmx.fr, aang23@altillimity.com                             |
| 2022-02-06 | Nathan West                 | n-west          | nwest@deepsig.io, nate.ewest@gmail.com, nathan.west@gnuradio.org, nathan.west@nrl.navy.mil, nathan.west@okstate.edu, nathan@pepper                             |
| 2022-04-01 | Albert Holguin              | hades-          | aholguin_77@yahoo.com, codename.hash@gmail.com                      |
| 2022-04-14 | Elliot Briggs               | N/A             | elliot.briggs@gmail.com                                             |
| 2022-05-31 | Geoffrey Nieboer            | gnieboer        | gnieboer@gcndevelopment.com, gnieboer@corpcomm.net                  |
| 2022-06-28 | Moritz Fischer              | N/A             | gnuradio@pure-entropy.org                                           |
| 2022-06-29 | Johnathan Corgan            | jmcorgan        | jcorgan@corganenterprises.com, johnathan@corganlabs.com             |
|            |                             |                 |                                                                     |
